goocanvasmm: Goocanvas::Widget Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::Widget Class Reference
Inheritance diagram for Goocanvas::Widget:
[legend]

List of all members.

## Public Member Functions
virtual | ~Widget ()
GooCanvasWidget* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasWidget* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasWidget* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Gtk::Widget* > | property_widget ()
| The widget to place in the canvas.
Glib::PropertyProxy_ReadOnly < Gtk::Widget* > | property_widget () const
| The widget to place in the canvas.
Glib::PropertyProxy< AnchorType > | property_anchor ()
| How to position the widget relative to the item's x and y coordinate settings.
Glib::PropertyProxy_ReadOnly < AnchorType > | property_anchor () const
| How to position the widget relative to the item's x and y coordinate settings.
## Static Public Member Functions
static Glib::RefPtr< Widget > | create (Gtk::Widget& widget, double x=0.0, double y=0.0, double width=0.0, double height=0.0)
## Protected Member Functions
| Widget (Gtk::Widget& widget, double x, double y, double width=-1, double height=-1)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Widget > | wrap (GooCanvasWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::Widget::~Widget | ( |  | ) | `[virtual]`

Goocanvas::Widget::Widget | ( | Gtk::Widget & | widget,
|  | double | x,
|  | double | y,
|  | double | width = `-1`,
|  | double | height = `-1`
| ) |  | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Widget> Goocanvas::Widget::create | ( | Gtk::Widget & | widget,
|  | double | x = `0.0`,
|  | double | y = `0.0`,
|  | double | width = `0.0`,
|  | double | height = `0.0`
| ) |  | `[static]`

GooCanvasWidget* Goocanvas::Widget::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

const GooCanvasWidget* Goocanvas::Widget::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasWidget* Goocanvas::Widget::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemSimple.

Glib::PropertyProxy<AnchorType> Goocanvas::Widget::property_anchor | ( |  | ) |

How to position the widget relative to the item's x and y coordinate settings.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<AnchorType> Goocanvas::Widget::property_anchor | ( |  | ) | const

How to position the widget relative to the item's x and y coordinate settings.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gtk::Widget*> Goocanvas::Widget::property_widget | ( |  | ) | const

The widget to place in the canvas.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gtk::Widget*> Goocanvas::Widget::property_widget | ( |  | ) |

The widget to place in the canvas.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Widget > wrap | ( | GooCanvasWidget * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/widget.h